let laser_input_coordinates = {
	coordinates_name: "Kingdom Hearts",
	laser_in_latitude: 39.30885303221173,
	laser_in_longitude: -84.28482447396243,
	distance_meters: 1239456,
	bearing_degrees: 167.683
};

function crystal_ball_laser_output_coordinates(laser_in_latitude, laser_in_longitude, distance_meters, bearing_degrees) {
	let radians = (bearing_degrees * Math.PI) / 180;
	let distance_south = Math.cos(radians) * distance_meters;
	let distance_east = Math.sin(radians) * distance_meters;
	let earth_radius_meters = 6371000;
	let laser_out_lat = laser_in_latitude + ((distance_south / earth_radius_meters) * 180) / Math.PI;
	let laser_out_lon = laser_in_longitude + ((distance_east / (earth_radius_meters * Math.cos((laser_out_lat / 180) * Math.PI))) * 180) / Math.PI;
	return [laser_out_lat, laser_out_lon];
};

console.log(crystal_ball_laser_output_coordinates(laser_input_coordinates.laser_in_latitude, laser_input_coordinates.laser_in_longitude, laser_input_coordinates.distance_meters, laser_input_coordinates.bearing_degrees));
//crystal_ball_laser_output_coordinates = [ 28.418728455774822, -81.58120319950864 ]


